Bug 248307 - firmware.sh[769]: Cannot find firmware file 'intel-ucode/0f-02-09'
firmware.sh[769]: Cannot find firmware file 'intel-ucode/0f-02-09'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: microcode_ctl (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kyle McMartin
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 603016
  Show dependency treegraph
 
Reported: 2007-07-15 15:41 EDT by Robert Scheck
Modified: 2012-08-17 01:00 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 603016 (view as bug list)
Environment:
Last Closed: 2012-08-16 18:03:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2007-07-15 15:41:40 EDT
Description of problem:
After installing the latest package of microcode_ctl and a restart of the 
service, I've got the following errors in /var/log/messages:

Jul 15 21:38:02 hurricane firmware_helper[26207]: Loading of /lib/firmware/
intel-ucode/0f-02-09 for (unknown) driver failed: No such file or directory
Jul 15 21:38:02 hurricane firmware_helper[26211]: Loading of /lib/firmware/
intel-ucode/0f-02-09 for (unknown) driver failed: No such file or directory

Version-Release number of selected component (if applicable):
microcode_ctl-1.17-1.38

How reproducible:
Everytime, see above.

Actual results:
Error messages in syslog.

Expected results:
No error messages in syslog, please.
Comment 1 Jon Masters 2007-07-16 11:28:22 EDT
Can you tell me some more about the system in question? I'd like the output of:

$ cat /proc/cpuinfo

As well as anything else you can provide.
Comment 2 Robert Scheck 2007-07-16 14:05:26 EDT
> cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Xeon(TM) CPU 3.06GHz
stepping        : 9
cpu MHz         : 3066.060
cache size      : 512 KB
physical id     : 3
siblings        : 2
core id         : 0
cpu cores       : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat 
pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid xtpr
bogomips        : 6134.26
clflush size    : 64

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Xeon(TM) CPU 3.06GHz
stepping        : 9
cpu MHz         : 3066.060
cache size      : 512 KB
physical id     : 3
siblings        : 2
core id         : 0
cpu cores       : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat 
pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid xtpr
bogomips        : 6130.73
clflush size    : 64

> 

What more do you need? It's a HP ProLiant DL360 G3 server. Please tell me some 
commands etc. if you would like to have more output.
Comment 3 Dave Jones 2007-09-25 14:18:50 EDT
looks like the microcode driver got switched to use request_firmware recently.

Unfortunatly that interface doesn't seem to have a 'fail silently' mode.

It's harmless, as you don't *need* newer microcode, it's just a 'nice to have'.

Also interesting is that there aren't any releases of the microcode data in that
new format afaik.
Comment 4 Dave Jones 2007-09-25 14:20:53 EDT
actually, not all that recently it seems...

commit a30a6a2cb0fdc2c9701d6ddfb21affeb8146c038
Author: Shaohua Li <shaohua.li@intel.com>
Date:   Wed Sep 27 01:50:52 2006 -0700

    [PATCH] x86 microcode: using request_firmware to pull microcode
Comment 5 Robert Scheck 2008-03-15 12:32:11 EDT
Mar 15 17:31:00 tux firmware.sh[764]: Cannot find  firmware file
'intel-ucode/0f-02-09'
Mar 15 17:31:00 tux kernel: IA-32 Microcode Update Driver: v1.14a
<tigran@aivazian.fsnet.co.uk>
Mar 15 17:31:00 tux firmware.sh[769]: Cannot find  firmware file
'intel-ucode/0f-02-09'
Comment 6 Steve Snyder 2008-04-09 09:08:20 EDT
FYI, this problem is present in Fedora8 as well.  From system log:

kernel: IA-32 Microcode Update Driver: v1.14a <tigran@aivazian.fsnet.co.uk>
firmware.sh[10770]: Cannot find  firmware file 'intel-ucode/06-17-06'
firmware.sh[11008]: Cannot find  firmware file 'intel-ucode/06-17-06'
firmware.sh[11012]: Cannot find  firmware file 'intel-ucode/06-17-06'
firmware.sh[11016]: Cannot find  firmware file 'intel-ucode/06-17-06'
firmware.sh[11020]: Cannot find  firmware file 'intel-ucode/06-17-06'
firmware.sh[11024]: Cannot find  firmware file 'intel-ucode/06-17-06'
firmware.sh[11028]: Cannot find  firmware file 'intel-ucode/06-17-06'
firmware.sh[11032]: Cannot find  firmware file 'intel-ucode/06-17-06'

This on a fully-updated F8/x86_64 system with dual quad-core Xeon CPUs.
Comment 7 Jon Masters 2008-04-25 22:04:09 EDT
Yeah, this isn't a bug in microcode_ctl per se. It's also not actually a problem
because the microcode is still going to be loaded. I'd put a simple symlink in
place, but that creates a newer dep. between the kernel and microcode_ctl that
will constantly be out of date. Hmmm...
Comment 8 Bug Zapper 2008-05-13 23:04:26 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Robert Scheck 2008-07-27 10:42:39 EDT
Ping?
Comment 10 Bug Zapper 2008-11-25 20:57:33 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Joachim Frieben 2009-05-31 04:00:30 EDT
On a current "rawhide" system to which microcode_ctl-1.17-1.46.fc10.i386 has been added due to the absence of a current package from the F11 branch (bug 497711), I do observe the same issue after loading module "microcode" and executing 'microcode_ctl -u':

  kernel: platform microcode: firmware: requesting intel-ucode/0f-02-09
  kernel: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>,
          Peter Oruba
  firmware.sh[22232]: Cannot find  firmware file 'intel-ucode/0f-02-09'

The system is a somewhat old Pentium 4 system:

  processor       : 0
  vendor_id       : GenuineIntel
  cpu family      : 15
  model           : 2
  model name      : Intel(R) Celeron(R) CPU 2.00GHz
  stepping        : 9
  cpu MHz         : 2000.000
  cache size      : 128 KB
  fdiv_bug        : no
  hlt_bug         : no
  f00f_bug        : no
  coma_bug        : no
  fpu             : yes
  fpu_exception   : yes
  cpuid level     : 2
  wp              : yes
  flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca
                    cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss
                    ht tm pbe up pebs bts cid xtpr
  bogomips        : 3993.68
  clflush size    : 64
  power management:

What is strange is that the ucode update used to work until a few weeks ago, thus during the F11 development cycle, on said system. In the successful case, a message that the ucode had been updated from version 0x.. to 0x.. was issued.
Comment 12 Joachim Frieben 2009-05-31 04:27:01 EDT
(In reply to comment #11)
Sorry for this false alert: it appears that this spurious error message occurs when module "microcode" is loaded. 'dmesg' correctly reports

  "microcode: CPU0 updated from revision 0x11 to 0x2e, date = 2004-08-11" .
Comment 13 Fedora Admin XMLRPC Client 2009-06-03 15:00:37 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Bug Zapper 2009-06-09 05:16:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 lion.guo 2009-09-15 05:31:56 EDT
this bug may presents at Fedora 12 

[lion@lion ~]$sudo less /var/log/messages
...
Sep 15 16:50:49 lion kernel: microcode: CPU0 sig=0xf65, pf=0x4, revision=0xb
Sep 15 16:50:49 lion kernel: platform microcode: firmware: requesting intel-ucod
e/0f-06-05
Sep 15 16:50:49 lion kernel: Microcode Update Driver: v2.00 <tigran@aivazian.fsn
et.co.uk>, Peter Oruba
Sep 15 16:50:49 lion firmware.sh[3739]: Cannot find  firmware file 'intel-ucode/0f-06-05'
Sep 15 16:50:49 lion kernel: Microcode Update Driver: v2.00 removed.
..

===========

[lion@lion ~]$ sudo vi /etc/init.d/microcode_ctl
...
ARGUMENTS=-u
....
[lion@lion ~]$ sudo rm  /dev/.udev/firmware-missing/intel-ucode\\x2f0f-06-05
[lion@lion ~]$ sudo /etc/init.d/microcode_ctl start
Applying Intel CPU microcode update: /sbin/microcode_ctl: writing microcode (length: 411648)
/sbin/microcode_ctl: microcode successfuly written to /dev/cpu/microcode
                                                           [  OK  ]
[lion@lion ~]$ls -l  /dev/.udev/firmware-missing/
total 0
lrwxrwxrwx 1 root root 46 2009-09-15 17:30 intel-ucode\x2f0f-06-05 -> /devices/platform/microcode/firmware/microcode


[lion@lion ~]$ gpk-update-icon -v

...
TI:11:13:09     FI:gpk-firmware.c       FN:gpk_firmware_add_file,876
 - filename=/dev/.udev/firmware-missing/intel-ucode/0f-06-05 -> /lib/firmware/intel-ucode/0f-06-05
*** WARNING ***
TI:11:13:09     FI:gpk-firmware.c       FN:gpk_firmware_get_device,812
 - Failed to get symlink: Error stating file '/dev/.udev/firmware-missing/intel-ucode/0f-06-05': No such file or directory


...
Comment 16 Tom Chiverton 2010-01-31 09:14:19 EST
Still present in FC12:

[root@bookcase fc12-kernel]# modprobe microcode ; microcode_ctl -u ; rmmod microcode
microcode_ctl: writing microcode (length: 447488)
microcode_ctl: microcode successfuly written to /dev/cpu/microcode

# tail /var/log/messages
...
Jan 31 14:12:48 bookcase klogd: microcode: CPU0 sig=0x6f6, pf=0x1, revision=0xcb
Jan 31 14:12:48 bookcase klogd: platform microcode: firmware: requesting intel-ucode/06-0f-06
Jan 31 14:12:48 bookcase klogd: microcode: CPU1 sig=0x6f6, pf=0x1, revision=0xcb
Jan 31 14:12:48 bookcase klogd: platform microcode: firmware: requesting intel-ucode/06-0f-06
Jan 31 14:12:48 bookcase klogd: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
Jan 31 14:12:48 bookcase firmware.sh[2804]: Cannot find  firmware file 'intel-ucode/06-0f-06'
Jan 31 14:12:48 bookcase firmware.sh[2810]: Cannot find  firmware file 'intel-ucode/06-0f-06'
Jan 31 14:12:59 bookcase klogd: Microcode Update Driver: v2.00 removed.

/proc/cpuinfo says this is a 
vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
model name      : Intel(R) Xeon(R) CPU            3040  @ 1.86GHz
stepping        : 6
Comment 17 Bug Zapper 2010-04-27 07:44:43 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Maciej Żenczykowski 2010-04-27 23:37:19 EDT
As mentioned above - present in F12, at current rate, likely to be present in F13 as well.
Comment 19 Robert Scheck 2010-05-01 11:56:02 EDT
Still affecting Rawhide.
Comment 20 Bug Zapper 2010-07-30 06:30:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Fedora End Of Life 2012-08-16 18:03:53 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.